package log

type Printer interface {
	Println(f string, v ...any)
}

type Logger interface {
	Error(f string, v ...any)
	Warn(f string, v ...any)
	Info(f string, v ...any)
	Debug(f string, v ...any)
	CallDepthPlus()
	CallDepthMinus()
}
